Configuring Licenses

Using the License Configuration Program

The License Configuration dialog allows you to configure licenses for using StarQuest products. You can license StarQuest products as the last step of the installation process, or you can choose the License Configuration shortcut from the program menu after you install the product.

The License Configuration dialog allows you to configure a license server, configure a client license, and interactively request a license online using the Internet.

Click the OK button to save any changes to the configuration and close the License Configuration dialog.

Click the Cancel button to close the License Configuration dialog without saving changes that have not been applied.

Click the Apply button to apply changes to the configuration without closing the License Configuration dialog.

©StarQuest Ventures, Inc., 2003-2019. All rights reserved.
v1.3x
121319 edition


Configuring License Servers

The License Servers tab shows a list of StarLicense servers that are configured to allow client computers to check out a license.

Each license server is identified with a product ID, which indicates which StarQuest product is licensed, the DNS Name or TCP/IP address of the computer, the port on which it listens for license requests, and whether it serves as a Primary or Secondary license server.

You can configure multiple license servers and specify whether they perform as a Primary or Secondary license server. Licenses are first checked out from servers designated as Primary. If the Primary license server cannot provide a connection, licenses are then checked out from the Secondary server. If multiple license servers are available in the network, configuring Secondary servers can help ensure that clients can check out a license even if the Primary server is not available.

From the License Servers tab, you can:

  • add a license server

  • edit the properties of a license server

  • remove a license server


Adding a License Server

If you want client computers to check out a license from a license server, configure at least one license server in the License Servers tab. You can configure more than one license server, but you must have at least one Primary license server. If more than one StarLicense server is available, you can configure them to be Secondary servers. Then, if the Primary license server becomes unavailable, the Secondary server will respond to license requests until the Primary is available again.

NOTE

The IP address and IP port that you specify for a license server must match how that server is configured. See the StarLicense Manager help for more information about configuring license servers to listen for license requests.

In the Add License Server dialog, you specify:

  • which product is being licensed

  • the DNS name or TCP/IP address of the license server,

  • the port on which the server is listening for connection requests, and

  • whether the server is configured as a Primary or Secondary license server


Changing License Server Properties

You can change the configuration properties of a license server, such as to specify a different port on which to listen for requests, or to change the role of the license server. License servers can function in a Primary or Secondary role, as described in Configuring License Servers.

NOTE

The IP address and IP port that you specify for a license server must match how that server is configured. See the StarLicense Manager help for more information about configuring license servers to listen for license requests.

  1. From the License Servers tab, select the license server that you want to change.

  2. Click the Edit button.

  3. In the Edit Server dialog, change the licensing options as necessary.

  4. Click the OK button.

  5. Click the Apply button to apply the changes to the License Servers tab.

  6. Click OK to close the License Configuration dialog.


Removing a License Server

Removing a license server from the License Servers tab makes that server unavailable to respond to requests for licenses. To remove a license server from the configuration:

  1. From the License Servers tab, select Product ID that corresponds to the license server that you want to delete.

  2. Click the Remove button.

  3. Click Yes in the Remove License Server dialog to confirm that you want to delete the specified license server.

.


Configuring Client Licenses

Configuring Licenses

The Licenses tab lets you add and remove keys for using a client license on the local computer.

From the Licenses tab, you can:

  • add a license key

  • monitor client license usage

  • remove a license key


Adding a Client License

The Add License dialog lets you specify a license key that allows the local computer to use the StarQuest product. You can obtain the license key using the online licensing feature of the License Configuration utility, or you can contact StarQuest via email to request the license key.

After you obtain the license key, enter it in the License field of the Add License dialog and click the Add button. The client license then appears in the Licenses tab, and shows the ID of the StarQuest product that is licensed, when the license expires, and how many connections the license supports.

Click the Apply button to add the client license to the configuration.

Click the Cancel button to exit the License Configuration dialog without adding the client license.

If you click the OK button, the client license is added to the configuration and the License Configuration dialog closes.


Monitoring Client License Usage

The Licenses tab displays the Product ID, License Key, Expiration Date and Count for each installed license key, as well as the current number of check-outs.

Click the Refresh icon [image] to update the check-out count.

To display additional check-out information, select a license key with active check-outs and select the Details button. The details screen displays the name, PID, and instance number of the application using the license.

Use the Refresh icon [image] to update the Details display.


Removing a Client License

You can remove a client license key, such as when the license expires or to change the configuration so the client checks out licenses from a license server.

To remove a client license key:

  1. From the Licenses tab, select the client license that you want to delete.

  2. Click the Remove button.

  3. Click Yes in the Remove License dialog to confirm that you want to delete the specified license key.

  4. Click the Apply button to apply the changes to the Licenses tab.

  5. Click OK to close the License Configuration dialog.


Online Licensing

The License Online tab of the License Configuration dialog lets you use the Internet to request a new license key for a StarQuest product.

To take advantage of the online licensing feature of the License Configuration utility you must be able to connect to the Internet using the computer that will use the license. If you are not able to license the StarQuest product online, you can request a license key via email as described in Contacting StarQuest.

To obtain a new license online, you must:

  • request the license from the workstation that will use the license, and

  • have the Registration Key for the product available (StarQuest provides the Registration Key via email).

To obtain a StarQuest product license key over the Internet using StarLicense:

  1. Click the License Online tab of the License Configuration dialog.

  2. Select the type of license lock that you want to use. You can use the Host ID of the computer, which automatically appears next to the Host ID option, or you can select the IP Address option and then select or enter the static IP address that is assigned to the computer.

  3. Enter the Registration Key that StarQuest provided. Copy and paste the Registration Key from a text file to the License Online dialog to ensure it is entered exactly as provided.

  4. Click the Get License button. There may be a short delay while the License Configuration program connects to the Web Licensing Service over the Internet.

  5. After the license is issued the Licenses tab is displayed. Review the list of license keys and ensure that the information is correct for the product license(s) you just added. Licensing some products, such as SQDR Plus, also adds licenses for the requisite StarQuest products so there may be multiple licenses with different product codes added at one time.

  6. Click OK to exit the License Configuration dialog.


Errors

Error Messages

The License Configuration program displays an error when a requested operation cannot be performed or a problem occurs, either when making a connection or using the License Configuration program. Following are the errors and suggestions on how to resolve them.

Error | Description
Access denied | If you are trying to modify a configuration, be sure that you are logged in to the local computer with Administrator privileges.
Cannot read license information
Cannot write license information
Duplicate license servers not allowed | A license server with the same TCP/IP address, port, and role is already configured.
Duplicate keys not allowed | The client license key you tried to add is already configured.
Failed to communicate with StarQuest Licensing Web Service (HTTP Error). | The Licensing Web Service is unable to respond to the request due to an HTTP error. A dependent service might be unavailable. Contact StarQuest if the problem persists.
Failed to connect to StarQuest Licensing Web Service (TCP error) | A TCP/IP error was returned when attempting to connect to the Licensing Web Service. Verify that you have Internet connectivity and try again. Contact your network administrator if you have no Internet connectivity, or StarQuest if the error occurs only when trying to connect to the StarQuest licensing server.
Invalid address | The TCP/IP address specified for the listener is not valid. Verify with the license server and administrator which TCP/IP address and port you need to specify for the license server.
Invalid checksum | The license key that you entered cannot be validated. Verify that you are entering the key exactly as it was provided to you by StarQuest, and that it was intended for use on this computer (license keys are based on the HostID or TCP/IP address of a particular computer).
Invalid license
Invalid port | The port number on which you want the server to listen for license requests is not valid on the license server. The port may be in use by another application, or outside the range of valid port numbers. Execute the netstat -a command from a command prompt to see which ports are in use, and try a different port number.
Invalid product ID | There are no licenses installed for the specified product ID. Contact the product vendor to obtain a license key for using the product.
Invalid registration key. | Contact StarQuest to determine why the registration key you entered was not accepted by the licensing service.
Invalid server property(s) | One or more of the properties in the server configuration is invalid. Review the server configuration.
Invalid value | A value specified for configuring the license server or listener is not valid. Verify the correct TCP/IP address and port and re-enter the configuration information.
License Request Failed | An unexpected error occurred that prevented the license server from issuing the license key. This may be a temporary problem. Please request the license again and, if the problem persists, contact StarQuest Customer Support.
No License could be generated | Contact StarQuest to determine why the online licensing service could not generate a license key for you.
No matching license | No licenses are configured in the license client. Obtain a license key from StarQuest to configure the license.
Out of memory | There is not enough memory available to complete the operation. Try the operation again. If the problem persists, review the event log on the server or client that is generating the error.
Platform specific error | A platform-specific error occurred that could not be converted to a StarLicense error code. Check the Windows event log or the UNIX syslog for the local error code.
Protocol error | The client license request or the license server response was incomplete. This may be due to network problems that are not related to the license client or server. Retry the operation.
Registration Key not found | The Registration Key that you entered to obtain a license key is invalid or does not exist in the database.


Contacting StarQuest

Please use the following methods to contact StarQuest Ventures if you need to obtain a license key, or have suggestions or need information about StarQuest products.

Support

If you do not want to use the online licensing feature of the License Configuration utility, you can obtain a license key for your product by sending an email to support@starquest.com with the following information:

  • TCP/IP address or Host ID of the computer on which the license will be installed

  • Number of connections purchased

  • Company Name

  • Contact Name

  • Phone Number

  • Email Address

StarQuest Support will send a reply email that provides the license key for your organization's use of the product. Since the license is unique to the computer on which it will be installed, you must contact StarQuest should you need to move the license from one computer to another.

Additional technical support may be available subject to the prices, terms, and conditions specified in your organization's maintenance contract with StarQuest Ventures, Inc.

Sales and Service

If you have ideas for product enhancements or need more information about how StarQuest products can provide solutions for connecting Windows and UNIX applications to IBM host resources, please contact us via any of the following methods.

Address | StarQuest Ventures, Inc. 548 Market St, #22938 San Francisco, CA 94104-5401 USA
Telephone | +1 415.669.9619 Option 1: Sales Option 2: Technical Support
Fax | +1 415.669.9639
World Wide Web | www.starquest.com
Support | support.starquest.com
Info Center | www.starquest.com/docs


Obtaining Licensing Information

The license key for using StarQuest products is based on the product you are licensing, the number of connections you need, and the particular computer on which the license will be installed. The easiest method for obtaining a license key is to use the online licensing feature of the License Configuration utility.

If you prefer to obtain a license key from StarQuest via an email request, you need to provide a static IP address or the Host ID of the computer on which you will install the product. If the computer is in a network that uses the Dynamic Host Configuration Protocol (DHCP), provide the Host ID instead of an IP address to StarQuest when you request the license. IP addresses that are assigned by the DHCP service are dynamic and can invalidate the license key when the computer is assigned a different unique IP address.

Displaying the IP Address

Each node in an IP internetwork must be assigned a unique address, such as 172.19.36.72. The IP address can be static (permanently assigned to the computer) or dynamic (assigned by the DHCP service). If the computer is assigned an IP address by the DHCP service, the IP address can change and you should provide the Host ID instead of the IP address when you request the license from StarQuest.

  1. To display the IP Address of a computer, enter the command ipconfig at a Command Prompt.

A display similar to the following shows the IP address that is currently assigned to the computer.

Connection-specific DNS Suffix: company.com
IP Address....................: 172.19.36.72
Subnet Mask...................: 255.255.255.0
Default Gateway...............: 172.19.24.1

Refer to the documentation for your version of the operating system for more information about displaying a command prompt or using the ipconfig command.

Displaying the Host ID

The Host ID, or Disk ID, of a Windows computer identifies the physical disk in a particular computer.

  1. To display the disk ID, enter the command label at a Command Prompt.

A display similar to the following shows the Volume Serial Number, which you can provide to StarQuest when you request the license key.

Volume in drive C: has no label
Volume Serial Number is C854-CE05
Volume label <ENTER for none>?